## com.google.gwt.user.client.ui
Interface SourcesMouseEvents

All Known Implementing Classes:
  FocusPanel, HTML, Image, Label, RichTextArea

    public interface SourcesMouseEvents

A widget that implements this interface sources the events defined by the `MouseListener` interface.

Method Summary
`void` `addMouseListener(MouseListener listener)` Adds a listener interface to receive mouse events.
`void` `removeMouseListener(MouseListener listener)` Removes a previously added listener interface.

Method Detail

### addMouseListener

    void addMouseListener(MouseListener listener)

  Adds a listener interface to receive mouse events.

  Parameters:
    `listener` - the listener interface to add

### removeMouseListener

    void removeMouseListener(MouseListener listener)

  Removes a previously added listener interface.

  Parameters:
    `listener` - the listener interface to remove